Get user active order details

  • This API is used to get active user ticket order details.
  • When the user clicks on the My Activity page from the profile menu, the user gets the list of event ticket details for a particular event like eventTicketId, orderId, paidAmount, etc.
  • To call this API, We need to pass the authorization token in API in the header.
  • Authorization token will be generated when the user login to the system.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API returns a JSON response with 200 status if API is executed successfully.

Here is the description of response attributes, which returns to the form of JSON :

AttributeDescription
recordsTotalIt contains the total no of records received
recordsFilteredIt contains the total no of filtered
userEventOrdersThis field Contains the array of user's event order details like :
  • *eventLogoImage**: It contains the logo of the event
  • *eventName**: It contains the name of the event
  • *eventUrl**: It contains the Event url which is unique identifier for event
  • *eventStartDate**: It contains the start date of the event
  • *eventEndDate**:It contains the end date of the event
  • *ticketOrderNumber**:It contains the order Id of the ticket
  • *ticketOrderAmount**:It contains the total amount of the particular ticket order
  • *purchaseDate**:It contains the date on which ticket purchased
  • *seatNumbers**:It contains selected seat number of holder
  • *allowAttendeeToEditInfo**:This field is used to check attendee is allow or not to edit his/her information
  • *currency**:This field display the current of the event
  • *totalPurchasedTicketsInOrder**:This field contains the count of the total purchased tickets in particular order
  • *holderAttribute**:It contains the all attributes of ticket holder
  • *eventLocation**:It contains the event location
totalPurchaseTicketsIt contains the sum of total purchased tickets in all events

Here are the possible error messages, which return if any condition gets failed or required data is missing for processing

Error codeError Description
200Ok
401You are not authorized to view the resource
403Accessing the resource you were trying to reach is forbidden
Query Params
int32
required
Defaults to 0

Pages are zero indexed, thus providing 0 for page will return the first page

int32
required
Defaults to 10
string

It contains the filed on which data need to be sorted

string

It contains the sort direction like asc or desc

int64

It contains the order Id to filter record for the particular order

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain